<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Downloads\Upload;

use Kufer\KuferTools\Utils\Download\DokuHelper as DokuHelper;

abstract class DoUploadController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  
  protected $dokuHelper;

  public function __construct()
  {
    $this->dokuHelper = new DokuHelper();
  }

  protected function getRequestObj()
  {
    $requestObj = $this->dokuHelper->getCommonRequestPart();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    
    $action = \GetOperations::getVarValue('action');

    return $this->handleXsrf($requestObj, $action);
  }

  protected function getPresenter($pUseCaseResponse)
  {
    
    return null;
  }
}